aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris Lattner <sabre@nondot.org>2001-06-11 15:05:02 +0000
committerChris Lattner <sabre@nondot.org>2001-06-11 15:05:02 +0000
commita6b1f53451ecd5e59c25e2f562c39fe7935507d6 (patch)
treec4685c239452c84200b386ab35841e8d3d209dea
parentee976f33713016a96e3fbb394b7d0c5465be25d7 (diff)
downloadexternal_llvm-a6b1f53451ecd5e59c25e2f562c39fe7935507d6.zip
external_llvm-a6b1f53451ecd5e59c25e2f562c39fe7935507d6.tar.gz
external_llvm-a6b1f53451ecd5e59c25e2f562c39fe7935507d6.tar.bz2
Updates to support
* Changes in PHI node structure * We now run DCE after inlining because it helps clean up LOTS of inlining gunk. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@26 91177308-0d34-0410-b5e6-96231b3b80d8
-rwxr-xr-xtest/Feature/TestOptimizer.sh2
-rw-r--r--test/Feature/basictest.ll2
2 files changed, 2 insertions, 2 deletions
diff --git a/test/Feature/TestOptimizer.sh b/test/Feature/TestOptimizer.sh
index eecc163..d7442a7 100755
--- a/test/Feature/TestOptimizer.sh
+++ b/test/Feature/TestOptimizer.sh
@@ -3,7 +3,7 @@ LD_LIBRARY_PATH=../lib/Assembly/Parser/Debug:../lib/Assembly/Writer/Debug:../lib
export LD_LIBRARY_PATH
-../tools/as/as < $1 | ../tools/opt/opt -q -inline -constprop -dce | ../tools/dis/dis | ../tools/as/as > $1.bc.1 || exit 1
+../tools/as/as < $1 | ../tools/opt/opt -q -inline -dce -constprop -dce | ../tools/dis/dis | ../tools/as/as > $1.bc.1 || exit 1
# Should not be able to optimize further!
../tools/opt/opt -q -constprop -dce < $1.bc.1 > $1.bc.2 || exit 2
diff --git a/test/Feature/basictest.ll b/test/Feature/basictest.ll
index b50c4f3..0a2fd3e 100644
--- a/test/Feature/basictest.ll
+++ b/test/Feature/basictest.ll
@@ -10,7 +10,7 @@ Startup: ; Basic block #0
br bool %x, label %Increment, label %Decrement
Merge: ; Basic block #3
- %i4 = phi int %i2, %i3 ; Forward ref vars...
+ %i4 = phi int [%i2, %Increment], [%i3,%Decrement] ; Forward ref vars...
%j2 = add int %j1, %i4
ret void